History module
Endpoints
Endpoints for managing Call Details Reports, Call Recordings, Chats and Voicemessages
GET
/chats Returns collection of Chat resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/chats HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6677,
"created_at": "2023-08-12 01:50:42",
"customer_id": 5624,
"duration": 1284,
"operator_id": 6798,
"operator_ua": "value",
"state": 1,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 5450
}
],
"total": 59
}
GET
/chats/{id} Returns Chat resource for given Id
Parameters
Endpoint URL:
{id} integerChat identifier
Example Request
GET /v1.1/voipstudio/chats/32 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7469,
"created_at": "2017-08-15 02:13:00",
"customer_id": 2876,
"duration": 2284,
"operator_id": 3713,
"operator_ua": "value",
"state": 2,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 8073
},
"links": {}
}
DELETE
/chatmsgs/{ids} Deletes given chat message resources
Parameters
Endpoint URL:
{ids} comma separated list of integersResource identifiers
Example Request
DELETE /v1.1/voipstudio/chatmsgs/66,166,441 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
DELETE
/chatmsgs Deletes collection of ChatMsg resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/chatmsgs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs Returns collection of Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1410,
"billsec": 7809,
"call_id": 8047,
"calldate": "2024-03-17 23:03:16",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 2,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4796,
"info": "value",
"is_root": true,
"live_id": 6244,
"parent_live_id": 5335,
"root_live_id": 5635,
"server_id": 4714,
"sip_endpoint_id": 4702,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 6176
}
],
"total": 59
}
PATCH
/cdrs [BULK] Updates existing Cdr resources
Parameters
Example Request
PATCH /v1.1/voipstudio/cdrs HTTP/1.1
Host: l7api.com
[
[],
{
"id": 1802
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5458,
"billsec": 6771,
"call_id": 5114,
"calldate": "2019-12-07 11:25:56",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 1,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5658,
"info": "value",
"is_root": true,
"live_id": 7336,
"parent_live_id": 8831,
"root_live_id": 1204,
"server_id": 5927,
"sip_endpoint_id": 9465,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 6936
},
"links": {}
}
DELETE
/cdrs Deletes collection of Cdr resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs/calltracking Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/calltracking HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1880,
"billsec": 3404,
"call_id": 2884,
"calldate": "2017-01-24 14:13:51",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4507,
"info": "value",
"is_root": true,
"live_id": 3330,
"parent_live_id": 2093,
"root_live_id": 5255,
"server_id": 4824,
"sip_endpoint_id": 2103,
"src": "12124537768",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 5391
}
],
"total": 59
}
GET
/cdrs/{id} Returns Cdr resource for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/87 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6089,
"billsec": 2380,
"call_id": 2854,
"calldate": "2025-08-30 20:31:19",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "32179243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 908,
"info": "value",
"is_root": true,
"live_id": 3728,
"parent_live_id": 4495,
"root_live_id": 9950,
"server_id": 8362,
"sip_endpoint_id": 4581,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 3965
},
"links": {}
}
GET
/cdrs/{id}.trace Returns Cdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/32.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3980,
"billsec": 9549,
"call_id": 6798,
"calldate": "2016-10-22 23:21:40",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 3,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 1463,
"info": "value",
"is_root": true,
"live_id": 6838,
"parent_live_id": 1719,
"root_live_id": 8872,
"server_id": 8236,
"sip_endpoint_id": 8996,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 5822
},
"links": {}
}
GET
/cdrs/{id}.pcap Returns Cdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/14.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2841,
"billsec": 8018,
"call_id": 5342,
"calldate": "2016-06-19 18:00:36",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 2,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 8010,
"info": "value",
"is_root": true,
"live_id": 480,
"parent_live_id": 7970,
"root_live_id": 5432,
"server_id": 8453,
"sip_endpoint_id": 4847,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 9617
},
"links": {}
}
GET
/cdrs/dictionaries Returns Dictionary for Cdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7527,
"billsec": 6566,
"call_id": 1726,
"calldate": "2017-08-29 19:10:56",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 3,
"dst": "12124537768",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 2915,
"info": "value",
"is_root": true,
"live_id": 7606,
"parent_live_id": 7046,
"root_live_id": 1162,
"server_id": 8914,
"sip_endpoint_id": 4459,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 2683
}
],
"total": 59
}
GET
/cdrs/{id}/notes Returns Notes for give CDR resource
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/48/notes HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1681,
"billsec": 2742,
"call_id": 1124,
"calldate": "2022-11-20 18:48:04",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 2,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4147,
"info": "value",
"is_root": true,
"live_id": 1525,
"parent_live_id": 4138,
"root_live_id": 8474,
"server_id": 2552,
"sip_endpoint_id": 905,
"src": "32179243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 4903
},
"links": {}
}
GET
/conversations Returns collection of Conversation resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/conversations HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2021-05-25 01:18:14",
"customer_id": 8338,
"cx_score": 8051,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 1730,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 3013,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"type": 1,
"user_id": 2476,
"voicemessage_id": 4569
}
],
"total": 59
}
PATCH
/conversations [BULK] Updates existing Conversation resources
Parameters
JSON body attributes:
id undefined
labels array
notes undefined
Example Request
PATCH /v1.1/voipstudio/conversations HTTP/1.1
Host: l7api.com
[
{
"id": "abcd",
"labels": "abcd",
"notes": "abcd"
},
{
"id": 9988,
"labels": "abcd",
"notes": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2024-04-23 14:19:29",
"customer_id": 9098,
"cx_score": 6601,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 6853,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 523,
"src": "13103345244",
"src_id": "value",
"src_name": "value",
"type": 0,
"user_id": 7528,
"voicemessage_id": 6648
},
"links": {}
}
GET
/conversations/{id} Returns Conversation Result resource for given Id
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
GET /v1.1/voipstudio/conversations/15 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2018-05-18 07:00:01",
"customer_id": 2591,
"cx_score": 6025,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 6922,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 9784,
"src": "12124537768",
"src_id": "value",
"src_name": "value",
"type": 3,
"user_id": 3623,
"voicemessage_id": 4135
},
"links": {}
}
GET
/monitors Returns collection of Monitor resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 7856,
"call_id": 8911,
"called": "44203846719",
"caller": "44203846719",
"context": "value",
"cx_score": 4442,
"dst": "13103345244",
"dst_id": "value",
"dst_name": "value",
"duration": 1716,
"live_id": 9285,
"sentiment": 0,
"sip_endpoint_id": 8535,
"size": 792,
"src": "13103345244",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2022-07-01 04:35:10",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 3291
}
],
"total": 59
}
DELETE
/monitors Deletes all Monitor resources for given customer
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/monitors/{id} Returns Monitor resource for given Id
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/32 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1602,
"call_id": 82,
"called": "44203844711",
"caller": "44203844711",
"context": "value",
"cx_score": 9914,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 1777,
"live_id": 8554,
"sentiment": 1,
"sip_endpoint_id": 1539,
"size": 7275,
"src": "44203844711",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2019-01-12 09:46:17",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 9400
},
"links": {}
}
GET
/monitors/{id}.mp3 Returns Monitor resource for given Id as MP3 audio file
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/67.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3338,
"call_id": 5244,
"called": "32179243705",
"caller": "32179243705",
"context": "value",
"cx_score": 2767,
"dst": "44203846719",
"dst_id": "value",
"dst_name": "value",
"duration": 3906,
"live_id": 9852,
"sentiment": 0,
"sip_endpoint_id": 2700,
"size": 1924,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2024-12-04 02:44:58",
"transcript": "value",
"transcript_speakers": "value",
"type": "value",
"user_id": 4221
},
"links": {}
}
DELETE
/monitors/{ids} Deletes given Monitor resources
Parameters
Endpoint URL:
{ids} comma separated list of integersMonitor identifiers
Example Request
DELETE /v1.1/voipstudio/monitors/91,166,401 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/msdrs Returns collection of Msdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1062,
"call_id": "value",
"created_at": "2020-01-23 08:17:17",
"dst": "44203844711",
"dst_id": "value",
"dst_ua": "value",
"duration": 1096,
"media_session_id": 9368,
"src": "44203846719",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 8915
}
],
"total": 59
}
GET
/msdrs/{id} Returns Msdr resource for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/18 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8358,
"call_id": "value",
"created_at": "2018-11-05 23:37:56",
"dst": "44203846719",
"dst_id": "value",
"dst_ua": "value",
"duration": 8500,
"media_session_id": 1909,
"src": "12124537768",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 818
},
"links": {}
}
GET
/msdrs/{id}.trace Returns Msdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/93.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2807,
"call_id": "value",
"created_at": "2019-07-06 10:56:38",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 6270,
"media_session_id": 322,
"src": "32179243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 8262
},
"links": {}
}
GET
/msdrs/{id}.pcap Returns Msdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/75.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4425,
"call_id": "value",
"created_at": "2021-02-16 09:03:20",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 3499,
"media_session_id": 6107,
"src": "44203846719",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 1192
},
"links": {}
}
GET
/msdrs/dictionaries Returns Dictionary for Msdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 492,
"call_id": "value",
"created_at": "2020-05-21 08:34:26",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 504,
"media_session_id": 6381,
"src": "44203844711",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 3071
}
],
"total": 59
}
DELETE
/statements Deletes collection of Statement resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/statements HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/voicemessages Returns collection of Voicemessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4106,
"caller": "44203844711",
"callerid": "13103345244",
"dialled": "12124537768",
"duration": 938,
"extension_id": 9074,
"folder": 0,
"is_new": true,
"live_id": 6344,
"origtime": "2020-04-15 03:07:34",
"parent_live_id": 8014,
"transcript": "value"
}
],
"total": 59
}
PATCH
/voicemessages [BULK] Updates folder of existing Voicemessage resources
Parameters
JSON body attributes:
id integer
folder string
Example Request
PATCH /v1.1/voipstudio/voicemessages HTTP/1.1
Host: l7api.com
[
{
"id": 960,
"folder": "abcd"
},
{
"id": 3670,
"folder": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4732,
"caller": "13103345244",
"callerid": "32179243705",
"dialled": "44779243705",
"duration": 5220,
"extension_id": 8281,
"folder": 2,
"is_new": true,
"live_id": 8349,
"origtime": "2026-04-11 02:24:55",
"parent_live_id": 6340,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages Deletes collection of Voicemessage resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/voicemessages/{id} Returns Voicemessage resource for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/74 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5588,
"caller": "12124537768",
"callerid": "32179243705",
"dialled": "13103345244",
"duration": 4674,
"extension_id": 7905,
"folder": 0,
"is_new": true,
"live_id": 768,
"origtime": "2023-10-24 14:28:01",
"parent_live_id": 8788,
"transcript": "value"
},
"links": {}
}
GET
/voicemessages/{id}.mp3 Returns Voicemessage MP3 file for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/63.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5535,
"caller": "13103345244",
"callerid": "12124537768",
"dialled": "32179243705",
"duration": 1370,
"extension_id": 5350,
"folder": 2,
"is_new": true,
"live_id": 7116,
"origtime": "2016-11-13 00:07:06",
"parent_live_id": 5118,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages/{ids} Deletes given voicemessage resources
Parameters
Endpoint URL:
{ids} comma separated list of integersVoicemessage identifiers
Example Request
DELETE /v1.1/voipstudio/voicemessages/31,106,408 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/sms/dictionaries Returns Dictionary for SMS resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/sms/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5710,
"created_at": "2023-08-21 11:02:26",
"from": "13103345244",
"from_id": "value",
"from_name": "value",
"message": "value",
"result": "value",
"to": "12124537768",
"to_id": "value",
"to_name": "value",
"type": "value",
"user_id": 7206
}
],
"total": 59
}
GET
/calltracking/cdrs Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/calltracking/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1558,
"billsec": 6215,
"call_id": 8779,
"calldate": "2018-10-23 01:03:34",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 0,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4724,
"info": "value",
"is_root": true,
"live_id": 6877,
"parent_live_id": 2796,
"root_live_id": 3646,
"server_id": 2821,
"sip_endpoint_id": 7251,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 8031
}
],
"total": 59
}
GET
/users/{id}/cdrs.csv Exports collection of Cdr resources to .csv file for given user
Parameters
Endpoint URL:
{id} integerUser identifier
Example Request
GET /v1.1/voipstudio/users/4/cdrs.csv HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7487,
"active": true,
"created_at": "value",
"customer": 8473,
"email": "value",
"first_name": "value",
"is_initial": true,
"is_root": true,
"last_name": "value",
"roles": "value",
"status": 6,
"two_factor_auth": 0,
"visited_apps": "value"
},
"links": {}
}
GET
/mediasessions/dictionaries Returns Dictionary for Media Session resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/mediasessions/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3268,
"call_id": "value",
"created_at": "2022-11-05 04:23:05",
"dst_id": "value",
"dst_ua": "value",
"duration": 5470,
"src_id": "value",
"src_ua": "value",
"status": "value",
"type": "value",
"updated_at": "2022-11-05 04:13:43",
"user": 5446
}
],
"total": 59
}
Models
CDR
| Attribute | Data type | Description |
| id | integer | Object ID |
| duration | integer | Call duration in seconds |
| live_id | integer | The identifier of the Live Call that generated this CDR record. It can be used to look up related records, such as call recordings. |
| parent_live_id | integer | The identifier of parent (previous) Live Call that generated this CDR record. |
| user_id | integer | The identifier of the User who made the call. |
| sip_endpoint_id | integer | The identifier of the SIP Endpoint which made or received the call. |
| server_id | integer | The identifier of the Media Server which handled the call. |
| type | string | Call type: O (outbound), I (inbound), M (missed) |
| calldate | string | Date and time of the call in format YYYY-MM-DD H:I:S in UTC timezone |
| clid | string | Caller ID (if available) with number; |
| src_id | string | The identified of the Source of the call, for example User ID 10002 or Contact ID contact:3423 |
| src_name | string | String representation of Source of the call, for example Contact name |
| src | string | Telephone number associated with the Source of the call |
| src_ua | string | User agent of the Source of the call |
| src_codec | string | Audio Codec of the Source of the call |
| dst_id | string | The identified of the Destination of the call, for example User ID 10002, Contact ID contact:3423 an IVR IVR324 or a Queue Queue12443 |
| dst | string | Telephone number associated with the Destination of the call |
| dst_name | string | String representation of Destination of the call, for example Contact name or a Queue name |
| dst_ua | string | User agent of the Destination of the call |
| dst_codec | string | Audio Codec of the Source of the call |
| billsec | integer | Billable (connected) time of the call |
| disposition | string | Outcome of the call, one of: INITIAL, RINGING, CONNECTED, ON_HOLD or VM (Voicemail) |
| destination | string | Call direction: in (inbound), out (outbound), webcall (Web Call) or callmeback (Call Me Back) |
| context | string | Call context: PSTN_CALL, USER_LOCAL, IVR, FOLLOW_ME, TEST_CALL etc. |
| t_cause | string | Call termination reason, for example: Normal Clearing, User busy, No user responding etc. |
| info | string | Additional information about the call. |
| call_id | integer | Depreciated |
| is_root | boolean | Depreciated |
| root_live_id | integer | Depreciated |